package com.yutou.bilibili.mybatis.Bili.mybatis.dao;

import com.yutou.bilibili.mybatis.Bili.mybatis.model.BilibiliUpInfo;
import com.yutou.bilibili.mybatis.Bili.mybatis.model.BilibiliUpInfoExample;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface BilibiliUpInfoDao {
    long countByExample(BilibiliUpInfoExample example);

    int deleteByExample(BilibiliUpInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BilibiliUpInfo record);

    int insertSelective(BilibiliUpInfo record);

    List<BilibiliUpInfo> selectByExample(BilibiliUpInfoExample example);

    BilibiliUpInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BilibiliUpInfo record, @Param("example") BilibiliUpInfoExample example);

    int updateByExample(@Param("record") BilibiliUpInfo record, @Param("example") BilibiliUpInfoExample example);

    int updateByPrimaryKeySelective(BilibiliUpInfo record);

    int updateByPrimaryKey(BilibiliUpInfo record);

    List<BilibiliUpInfo> queryToRoomIds(@Param("roomid")int[] roomid);

}